Results 1 to 10 of 10

Thread: hplip

  1. #1
    Join Date
    Jun 2020
    Beans
    21

    hplip

    I have a hp desktop all in one printer,copier and scanner. I don't use it that often but yesterday I wanted to scan something and I got message of communication device error 5012. So i removed hplip 3.20.5 and downloaded newest release of 3.20.6 I followed the instructions some error messages were on the terminal but i continued on. The program recognized my printer but still got the 5012 error. How can this be fixed. Can anyone provide step by step instructions to fix this problem? Any help would be appreciated.
    Last edited by tuesdaybarrett; 3 Weeks Ago at 07:44 PM. Reason: more information

  2. #2
    Join Date
    Jan 2020
    Beans
    63

    Re: hplip

    Try reinstalling and post the terminal error messages.

  3. #3
    Join Date
    Jun 2020
    Beans
    21

    Re: hplip

    i followed these instructions. to reinstall hplip. 1.wget https://nchc.dl.sourceforge.net/proj...lip-3.20.6.run
    2.chmod -R 755 hplip-3.20.6.run
    3../hplip-3.20.6.run
    error: Device busy: hp:/usb/Deskjet_2540_series?serial=CN3C12FKC80604error: Device not found
    error: Device busy: hp:/usb/Deskjet_2540_series?serial=CN3C12FKC80604
    error: Device not found
    Last edited by tuesdaybarrett; 3 Weeks Ago at 12:07 PM. Reason: more information

  4. #4
    Join Date
    Jun 2020
    Beans
    21

    Re: hplip

    also saw this error message
    POST-BUILD COMMANDS
    -------------------
    UnicodeDecodeError: 'utf-8' codec can't decode byte 0xf0 in position 0: invalid continuation byte


    The above exception was the direct cause of the following exception:


    Traceback (most recent call last):
    File "./install.py", line 241, in <module>
    text_install.start(language, auto, test_depends, test_unknown, assume_network, max_retries, enable, disable)
    File "/home/michael/hplip-3.20.6/installer/text_install.py", line 1405, in start
    cups.getSystemPPDs()
    File "/home/michael/hplip-3.20.6/prnt/cups.py", line 291, in getSystemPPDs
    ppd_dict = cupsext.getPPDList()
    SystemError: <built-in function getPPDList> returned a result with an error set

  5. #5
    Join Date
    Jun 2020
    Beans
    21

    Re: hplip

    should i enable QT5 via this?How to install HPLIP with qt5


    Notes:
    HPLIP supports Qt5 from 3.16.5 and above
    To enable qt5 support:

    1. You need to install the following dependencies
      • PyQt5
      • python-qt5-dbus

    2. Go to source of hplip. By default it is in ~/Downloads.
    3. Run the following commands
      • ./configure --prefix=/usr --enable-qt5 --disable-qt4
      • make
      • "make install" as root user



  6. #6
    Join Date
    Jan 2020
    Beans
    63

    Re: hplip

    Always better to use the ubuntu package manager to install software rather than an internet site like sourceforge. Which version of ubuntu are you running? I have 20.04 and using the synaptic package manager I see that hplip 3.20.3 is available. Using synaptic would be the preferred way to install hplip.

  7. #7
    Join Date
    Jun 2020
    Beans
    21

    Re: hplip

    I'm using ubuntu 20.04/ Installed synaptic package manager & then installed hplip but still get communication device error 5012

  8. #8
    Join Date
    Jan 2020
    Beans
    63

    Re: hplip

    Try removing the printer, uninstall hplip, reinstall hplip.

  9. #9
    Join Date
    Jun 2020
    Beans
    21

    Re: hplip

    in my research i found that a driver is missing which is '/usr/lib/cups/-filter/hpcups.How can this be added to my system? i tried sudo apt install but that didn't work. Any answer would be helpful. hx again

  10. #10
    Join Date
    Jan 2020
    Beans
    63

    Re: hplip

    install printer-driver-hpcups

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •